org.eclipse.emf.cdo.server.admin

## Interface CDORepositoryConfigurationManager

- All Superinterfaces:
    IDeactivateable, ILifecycle, INotifier

      public interface CDORepositoryConfigurationManager
      extends ILifecycle

  Manages repository configurations.
  Since:
    4.2
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDORepositoryConfigurationManager.Factory` Specification of the factory API for `repository configuration managers`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRepository` | `addRepository(java.lang.String name, org.w3c.dom.Document configuration)`
    `void` | `authenticateAdministrator()` Authenticates the user as a server administrator, if applicable.
    `boolean` | `canRemoveRepository(IRepository repository)`
    `java.util.Map<java.lang.String,IRepository>` | `getRepositories()`
    `void` | `removeRepository(IRepository repository)`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getRepositories

          java.util.Map<java.lang.String,IRepository> getRepositories()

    - #### addRepository

          IRepository addRepository(java.lang.String name,
                                    org.w3c.dom.Document configuration)

    - #### removeRepository

          void removeRepository(IRepository repository)

    - #### canRemoveRepository

          boolean canRemoveRepository(IRepository repository)

    - #### authenticateAdministrator

          void authenticateAdministrator()
                                  throws java.lang.SecurityException

      Authenticates the user as a server administrator, if applicable.
      Throws:
        `java.lang.SecurityException` - if authentication is required and fails

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html